﻿using System.Windows.Input;

namespace ViewModel
{
    public delegate void ShowHeatingInforamtionHandler();

    public class MainMenu : BaseViewModel
    {
        public event ShowHeatingInforamtionHandler OnShowHeatingInformation;

        private RelayCommand _heatingCircuitsInformation;

        public ICommand HeatingCircuitsInformation
        {
            get
            {
                return _heatingCircuitsInformation ??
                    (_heatingCircuitsInformation = new RelayCommand(p => ShowHeatingCircuits()));
            }
        }

        private void ShowHeatingCircuits()
        {
            OnShowHeatingInformation?.Invoke();
        }
    }
}
