﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace ViewModel
{
    public delegate void ConnectionErrorCloseHandler();

    public class ConnectionError : BaseViewModel
    {
        public event ConnectionErrorCloseHandler OnConnectionErrorClose;

        private RelayCommand _close;

        public ICommand Close
        {
            get
            {
                return _close ?? (_close = new RelayCommand(p => CloseInformation()));
            }
        }

        private void CloseInformation()
        {
            OnConnectionErrorClose?.Invoke();
        }
    }
}
